WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: Building Geany 1.32  (Read 122 times)

Offline kmhill

  • WikiUser
  • *
  • Posts: 45
Building Geany 1.32
« on: December 05, 2017, 09:04:50 PM »
Hi folks;

Just tried to build Geany 1.32. The version in the repo is 1.28, so I thought I'd try the latest and also build some plug-ins. If you've built Geany or have any ideas, I'd appreciate it.

I read the README file and loaded the packages listed and found myself stuck at ./configure. One issue I'm finding is that the tool can't seem to find GTK libraries, even though I have gtk2 and well as gtk2-dev loaded.

...
checking for pkg-config... /usr/local/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for GTK... no
configure: error: Package requirements (gtk+-2.0 >= 2.24 glib-2.0 >= 2.32 gio-2.0 >= 2.32 gmodule-no-export-2.0) were not met:

Package 'pthread-stubs', required by 'xcb', not found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables GTK_CFLAGS
and GTK_LIBS to avoid the need to call pkg-config.

I don't quite follow what the message says. Nothing appears to be assigned to PKG_CONFIG_PATH. I loaded a package called libpthread-stubs.tcz but that didn't change the situation. In a prior attempt I saw a reference to xproto

Pointers and/or ideas would be appreciated.
Krista

Offline Rich

  • TinyCore Moderator
  • Hero Member
  • *****
  • Posts: 5495
Re: Building Geany 1.32
« Reply #1 on: December 05, 2017, 10:03:58 PM »
Hi kmhill
There is a build script for  Geany  that might be of some help here:
http://tinycorelinux.net/8.x/armv6/tcz/src/geany/

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 9634
Re: Building Geany 1.32
« Reply #2 on: December 05, 2017, 10:48:43 PM »
I believe the xorg-proto-dev extension does not contain enough *proto packages for some situations.

Offline polikuo

  • Sr. Member
  • ****
  • Posts: 250
Re: Building Geany 1.32
« Reply #3 on: December 05, 2017, 10:54:13 PM »
There are some missing headers in xorg-proto-dev.tcz
You might wanna grab one xorg-proto.tcz from 32-bit port in order to compile.
FYI

Code: [Select]
wget http://download.geany.org/geany-1.32.tar.bz2
wget http://tinycorelinux.net/8.x/armv6/tcz/src/geany/geany.build
chmod +x geany.build
vi geany.build

Quote
SRCNAM=geany-1.32.tar.bz2
WRKDIR=geany-1.32
EXTNAM=geany-1.32
TMPDIR=/tmp/geany

It took me a while to hunt down the deps, we really should document it...
Code: [Select]
tce-load -i compiletc squashfs-tools gtk3-dev libpthread-stubs libXinerama-dev libXfixes-dev libXrandr-dev libXcursor-dev libXcomposite-dev libXdamage-dev libepoxy-dev intltool-dev gettext-dev util-macros
# xorg-proto.tcz manually downloaded from x86 repo
wget http://tinycorelinux.net/8.x/x86/tcz/xorg-proto.tcz
# use "tce-load -f" to overwrite any existing file.
tce-load -fi xorg-proto
./geany.build

I haven't tested the binaries yet since I only have ssh access at the moment.

P.S.
To look up an extension, use "provides.sh"
Code: [Select]
provides.sh pthread-stubs
« Last Edit: December 05, 2017, 10:56:20 PM by polikuo »

Offline kmhill

  • WikiUser
  • *
  • Posts: 45
Re: Building Geany 1.32
« Reply #4 on: December 06, 2017, 10:02:31 AM »
Thanks much for the references and content...
Krista